Skip to navigation

Change Price

View as Markdown

Updates the price of an order item and freezes the item so the price can’t be overwritten.

Rejects items that belong to a prepaid subscription with 400.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

Path parameters

item_idstringRequired
Unique item ID

Request

This endpoint expects an object.
pricestringRequired

Must be in decimal format, ex: 15.00

RAW_BODYstringOptional

Response

200
orderstringOptional
offerstring or nullOptional
subscriptionstringOptional
productstringOptional
componentslist of objectsOptional
subscription_componentstringOptional
quantityintegerOptionalDefaults to 0
public_idstringOptional
product_attributeanyOptional
pricestringOptional
extra_coststringOptional
total_pricestringOptional
one_timebooleanOptionalDefaults to true
order_updatedstringOptional
frozenbooleanOptionalDefaults to true
first_placedanyOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error